typestrict.aidocs
APIModels

Get a model

GET
/v1/models/{id}

A model: its result against Jev, the training's steps and curve, the other versions, and what it needs next.

Authorization

api_key
headerAuthorizationBearer <token>

An API key from Settings (ts_...).

Path Parameters

id*string
Formatuuid

Response Body

application/json
  1. response
curve*array<>

The training curve of the last attempt.

examples?|
Formatint64
model*
next_action*string
spec?|null
step*integer
Formatint32
Range0 <= value
timeline*array<>
versions*array<>

Every version trained on the same dataset, for comparison.

curl -X GET "https://example.com/v1/models/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "curve": [    {}  ],  "examples": 0,  "model": {    "created_at": "2019-08-24T14:15:22Z",    "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",    "encoder": "string",    "error": "string",    "files_deleted_at": "2019-08-24T14:15:22Z",    "files_expire_at": "2019-08-24T14:15:22Z",    "gpu_usd": 0.1,    "hf_repo": "string",    "holdout_n": 0,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "jev": {},    "jev_usd": 0.1,    "metrics": {},    "name": "string",    "onnx_bytes": 0,    "options": {},    "public_at": "2019-08-24T14:15:22Z",    "status": "string",    "steps": {},    "updated_at": "2019-08-24T14:15:22Z",    "verdict": "string",    "version": 0  },  "next_action": "string",  "spec": {},  "step": 0,  "timeline": [    {}  ],  "versions": [    {      "created_at": "2019-08-24T14:15:22Z",      "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",      "encoder": "string",      "error": "string",      "files_deleted_at": "2019-08-24T14:15:22Z",      "files_expire_at": "2019-08-24T14:15:22Z",      "gpu_usd": 0.1,      "hf_repo": "string",      "holdout_n": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "jev": {},      "jev_usd": 0.1,      "metrics": {},      "name": "string",      "onnx_bytes": 0,      "options": {},      "public_at": "2019-08-24T14:15:22Z",      "status": "string",      "steps": {},      "updated_at": "2019-08-24T14:15:22Z",      "verdict": "string",      "version": 0    }  ]}